### Class

# Meta X11Display

#### Description [src]

    final class Meta.X11Display : GObject.Object
    {
      /* No available fields */
    }

Mutter X display handler

The X11 display is represented as a `MetaX11Display` struct.

#### Ancestors

- GObject

#### Instance methods

###### meta_x11_display_add_event_func

No description available.

###### meta_x11_display_get_xdisplay

No description available.

###### meta_x11_display_get_xroot

No description available.

###### meta_x11_display_lookup_xwindow

No description available.

###### meta_x11_display_redirect_windows

No description available.

###### meta_x11_display_remove_event_func

No description available.

###### meta_x11_display_set_stage_input_region

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaX11DisplayClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.